Description

| would exspect the RSB server prozess to listen to the server port on startup. Currently, it seems to listen only after an Informer was
created?

| would like to start all my prozesses and have them connected before doing anything else. Especially, because some of my
prozesses create informer on the fly based on the data types they have to send. Which means my server prozess might not create
informers before the clients want to connect.

As this setting worked before | think somethin changed between 07/0.8 and current trunk

History

#1 - 04/12/2013 05:41 PM - J. Moringen

Currently, it seems to listen only after an Informer was created?

Correct. The socket transport opens the server socket when the first participant (listener, informer, RPC etc.) is created.

I would like to start all my prozesses and have them connected before doing anything else.

Does a specific process have to be the server? From your description | would assume that you want one process to be the server and then start all

processes in a particular order to ensure the server process is started first.

If you want to follow that approach, | would recommend creating a "dummy" informer in the server process and maybe also in the client processes,

depending on whether you want everything "connected" or just the server started.

Another solution would be running a server in a different process such the RSB logger (http://docs.cor-lab.de//rsb-manual/trunk/html/logger.html): the

logger process could act as server and run all the time. Your processes could be started, stopped and restarted arbitrarily.

Finally, you could use the automatic server selection of the socket transport (
http://docs.cor-lab.de//rsb-manual/trunk/html/specification-socket.html#options).

#2 - 04/12/2013 05:53 PM - J. Moringen

As this setting worked before | think somethin changed between 07/0.8 and current trunk

Could you provide more information regarding this? Which version of RSB did you previously use? Which configuration did your processes use? Do

you have a test case?

#3 - 04/15/2013 12:09 PM - J. Moringen
http://docs.cor-lab.de//rsb-manual/trunk/html/logger.html
http://docs.cor-lab.de//rsb-manual/trunk/html/specification-socket.html#options

- Status changed from New to Feedback

#4 - 04/15/2013 01:54 PM - H. Riechmann

Thanks for the quick reply.

| implemented the "dummy" informer, which works fine. Maybe | should switch to the RSB log solution, because | would like to be able to restart

processes.
| am quite sure that, in the techfak lucid system, | was able to start my clients before starting the server. | cannot provide my old tests, though, as the

lucid system is down.
| would, therefore, consider this bug closed and work with a server process running all the time.

#5 - 04/17/2013 02:26 PM - J. Wienke
- Status changed from Feedback to Rejected
